Bug 59292 - Failures/hangs while single-stepping
Summary: Failures/hangs while single-stepping
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Debugger (show other bugs)
Version: master
Hardware: PC All
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-09-07 14:36 UTC by Alexis Christoforides
Modified: 2017-10-06 20:19 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alexis Christoforides 2017-09-07 14:36:04 UTC
On Windows: https://github.com/mono/mono/pull/5433

On linux: `mono_thread_info_unset_internal_thread_gchandle` sometimes fails its assertion at `MonoTests.DebuggerTests.ThreadpoolIOsinglestep` on Jenkins/ (example: https://jenkins.mono-project.com/job/test-mono-mainline-linux/label=debian-8-arm64/2938/parsed_console/)
Comment 1 Ludovic Henry 2017-09-21 20:01:32 UTC
It should be fixed with https://github.com/mono/mono/pull/5599